package com.yizhi.message.application.feign.remote;


import com.yizhi.message.application.vo.domain.MessageAccountVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 * 前端控制器 用户消息记录表
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */

@Api(tags = "管理端用户消息接口")
@FeignClient(name = "newMessage", contextId = "RemoteMessageAccountClient")
public interface RemoteMessageAccountClient {
    /**
     * 用于触发事件，直接发送消息
     *
     * @return
     */
    @GetMapping("/remote/manage/messageAccount/batchSave")
    @ApiOperation(value = "用于触发事件，直接发送消息", response = Integer.class)
    public Boolean save(@RequestBody List<MessageAccountVo> messageAccount);

    @GetMapping("/remote/manage/messageAccount/getList")
    public List<MessageAccountVo> getList(@RequestParam("taskType") Integer taskType,
                                        @RequestParam("taskId") Long taskId);

    @GetMapping("/remote/manage/messageAccount/getOne")
    public MessageAccountVo getOne(@RequestParam("accountId") Long accountId,
                                   @RequestParam("taskType") Integer taskType,
                                   @RequestParam("taskId") Long taskId);
}

