package com.yizhi.message.application.event;

import com.yizhi.application.orm.id.IdGenerator;
import com.yizhi.core.application.event.EventWrapper;
import com.yizhi.message.application.service.MessageRemindService;
import com.yizhi.message.application.controller.util.MessageUtil;
import com.yizhi.message.application.vo.MessageRemindVo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 各个微服务业务处理完后向培训过项目微服务发送业务消息
 * 的处理器
 *
 * @Author: shengchenglong
 * @Date: 2018/4/18 11:19
 */
@Service
@Transactional
public class MessageEventHandler {

    private static final Logger LOGGER = LoggerFactory.getLogger(MessageEventHandler.class);

    @Autowired
    private IdGenerator idGenerator;
    @Autowired
    private MessageUtil messageUtil;
    @Autowired
    private MessageRemindService messageRemindService;




    public void handle(EventWrapper<MessageRemindVo> ew) {
        MessageRemindVo remindVo = ew.getData();
        LOGGER.info("收到消息，开始保存待发消息，其remindVo："+ remindVo);
        if (remindVo != null) {
            messageRemindService.insertMessageRemind(remindVo);
        }else {
            LOGGER.info("remindVo"+remindVo+"接到的消息内容为空！！！");
        }
    }
}
