package com.yizhi.message.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.message.application.domain.Message;
import com.yizhi.message.application.vo.CancelSendMessageVo;
import com.yizhi.message.application.vo.MessageManageVo;
import com.yizhi.message.application.vo.MessageVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 消息 服务类
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */
public interface MessageService extends IService<Message> {

    public Integer save(MessageVo message);

    public Page<MessageManageVo> getPage(Integer messageType, String title, Page<MessageManageVo> page);

    public MessageVo get(Long id);

    public Integer update(MessageVo messageVo);

    Integer upOrDown(CancelSendMessageVo vo);

    Integer cancel(CancelSendMessageVo vo);

    /**
     * 点击发送时，保存到提醒表，以及添加定时任务
     *
     * @param vo
     * @return
     */
    Integer send(CancelSendMessageVo vo);

    List<MessageVo> getListByRelationType(Integer relationType);

    Map<Long, String> getMessageTitleMap(List<Long> messageIds);
}
